VERSION 5.00
Object = "{3D09E003-D8FC-11D4-8E7E-000000000000}#1.2#0"; "FishFa50.ocx"
Begin VB.Form frmMain 
   BorderStyle     =   1  'Fest Einfach
   Caption         =   "frmStandard"
   ClientHeight    =   4440
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4545
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "AnaMain.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   4440
   ScaleWidth      =   4545
   StartUpPosition =   3  'Windows-Standard
   Begin FishFace50.FishFace ft 
      Height          =   735
      Left            =   360
      TabIndex        =   3
      Top             =   3360
      Width           =   1095
      _ExtentX        =   1931
      _ExtentY        =   1296
      AnalogScan      =   0   'False
      BreakingDistance=   6
      ControlInterval =   10
      LPTAnalog       =   0
      LPTIOADR        =   0
      LPTDelay        =   0
      PollInterval    =   10
      Slave           =   0   'False
      StopControlTime =   100
   End
   Begin VB.PictureBox picAnalog 
      Appearance      =   0  '2D
      AutoRedraw      =   -1  'True
      BackColor       =   &H80000005&
      BorderStyle     =   0  'Kein
      ForeColor       =   &H80000008&
      Height          =   1935
      Left            =   360
      ScaleHeight     =   1935
      ScaleWidth      =   3735
      TabIndex        =   2
      Top             =   240
      Width           =   3735
      Begin VB.Label lblText 
         Alignment       =   2  'Zentriert
         Appearance      =   0  '2D
         AutoSize        =   -1  'True
         BackColor       =   &H80000005&
         Caption         =   "0"
         ForeColor       =   &H80000008&
         Height          =   195
         Left            =   1935
         TabIndex        =   4
         Top             =   1560
         Width           =   105
      End
   End
   Begin VB.CommandButton cmdEnde 
      Caption         =   "ENDE"
      Height          =   375
      Left            =   2760
      TabIndex        =   1
      Top             =   3240
      Width           =   1335
   End
   Begin VB.CommandButton cmdAction 
      Caption         =   "START"
      Height          =   375
      Left            =   2760
      TabIndex        =   0
      Top             =   3720
      Width           =   1335
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' ------------------------------------------------------------------------------
'
' frmMain(AnaMain.frm)                                    Ulrich Mller 12.10.01
'                                                         Procida 400NT    VB6.0
' Analoge Anzeige der A-Eingnge des ft Interfaces
' bentigt wird FishFa50.OCX
' aktuell angeschlossen Intelligent Interface 30 402 an COM1 und EY
' ggf in cmdAction ndern
' Abbruch der Anzeigeschleife : ESC-Taste oder E1 = True
'
' ------------------------------------------------------------------------------

Option Explicit

Private Sub ShowDisplay(ByVal aWert As Single)

' --- Zeichnen eines Analoginstrumentes und Eintrag des aktuellen Mewertes

Const kStrich = 5, lStrich = 8, anzStriche = 21, sWinkel = 1.05, iRadius = 75
Const zRadius = 40, zStrich = 48, zBereich = 1000, zTeilung = 250
Dim dWinkel!, aWinkel!, sWert&, dText$
Dim a!, b!, c!, x!, y!, x1!, y1!, x2!, y2!, w!
Dim i&

  picAnalog.Cls
  picAnalog.Scale (-50, 100)-(50, 20)
  
' ---------- Minor Ticks ---------------------------

  aWinkel = sWinkel
  dWinkel = sWinkel / (anzStriche - 1)
  For i = 1 To anzStriche
    x1 = Cos(aWinkel) * iRadius
    y1 = Sin(aWinkel) * iRadius
    x2 = x1 + Cos(aWinkel) * kStrich
    y2 = y1 + Sin(aWinkel) * kStrich
    picAnalog.Line (x1, y1)-(x2, y2)
    aWinkel = aWinkel + dWinkel
  Next i
  
' ------------ Major Ticks -----------------
  aWinkel = sWinkel
  sWert = zBereich
  dWinkel = sWinkel / ((anzStriche - 1) / 5)
  For i = 1 To (anzStriche - 1) / 5 + 1
    x1 = Cos(aWinkel) * iRadius
    y1 = Sin(aWinkel) * iRadius
    x2 = x1 + Cos(aWinkel) * lStrich
    y2 = y1 + Sin(aWinkel) * lStrich
    picAnalog.Line (x1, y1)-(x2, y2)
    picAnalog.CurrentX = x2 - 5
    picAnalog.CurrentY = y2 + 10
    picAnalog.Print sWert
    aWinkel = aWinkel + dWinkel
    sWert = sWert - zTeilung
  Next i
  
' -------------- Analog Wert ------------------------------------

  aWinkel = sWinkel + ((zBereich - aWert) / zBereich) * sWinkel
  x1 = Cos(aWinkel) * zRadius
  y1 = Sin(aWinkel) * zRadius
  x2 = x1 + Cos(aWinkel) * zStrich
  y2 = y1 + Sin(aWinkel) * zStrich
  
' -------------- Digital Wert ------------------------------

  picAnalog.Line (x1, y1)-(x2, y2), QBColor(12)
  lblText.Caption = "AnalogWert : " & aWert
  lblText.Left = 0 - lblText.Width / 2
  lblText.Top = 32
  
End Sub


Private Sub cmdAction_Click()

' --------- Anzeige Mewert von EX ---------------
'    Abbruch : ESC-Taste oder E1 = True

  ft.AnalogScan = True
  ft.OpenInterface "COM1"
  cmdEnde.Enabled = False
  cmdAction.Enabled = False
  
  Do
    ShowDisplay ft.Analogs(ftiAEY)
  Loop Until ft.Finish(1)
  
  ft.CloseInterface
  ShowDisplay 0
  cmdAction.Enabled = True
  cmdEnde.Enabled = True
  cmdEnde.SetFocus
  
End Sub


Private Sub cmdEnde_Click()

  Unload Me
  
End Sub


Private Sub Form_Load()

  ShowDisplay 0
  Me.Caption = "ft 30 402 : " & App.Title
  
End Sub


Private Sub Form_Unload(Cancel As Integer)

  If Not cmdEnde.Enabled Then Cancel = 1
  
End Sub


